<html lang="en">
<head>
<title>Swept blocks - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Sweeps.html#Sweeps" title="Sweeps">
<link rel="prev" href="Swept-polygons.html#Swept-polygons" title="Swept polygons">
<link rel="next" href="Sweep-face-splitting.html#Sweep-face-splitting" title="Sweep face splitting">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Swept-blocks"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Sweep-face-splitting.html#Sweep-face-splitting">Sweep face splitting</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Swept-polygons.html#Swept-polygons">Swept polygons</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Sweeps.html#Sweeps">Sweeps</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h5 class="subsubsection">3.2.6.4 Swept blocks</h5>

<p><a name="index-swept-bock-317"></a><a name="index-block-sweep-318"></a>The swept object <var>swept_object</var> may also be any collection of
polylines and polygons.  This may be a block
<a name="index-block-319"></a><a name="index-_0040_007b-_0040_007d_0040r_007b_002c-block-drawable_007d-320"></a>composed of <code>line</code>
<a name="index-line-321"></a>and/or <code>polygon</code>
<a name="index-polygon-322"></a>commands in braces
<span class="samp">{ }</span>, or it may be the result of a <code>repeat</code>, another
<code>sweep</code>, etc.  The sweep acts independently on each object in the
block exactly as if it were a single swept object described above in
<a href="Swept-lines.html#Swept-lines">Swept lines</a> and <a href="Swept-polygons.html#Swept-polygons">Swept polygons</a>.

   </body></html>

